SimpleGroovyMethodDoc (Groovy 5.0.7)

Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class SimpleGroovyMethodDoc

- org.codehaus.groovy.tools.groovydoc.SimpleGroovyMethodDoc

- All Implemented Interfaces and Traits:
    GroovyMethodDoc

      public class SimpleGroovyMethodDoc
      extends SimpleGroovyExecutableMemberDoc
      implements GroovyMethodDoc

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class SimpleGroovyMemberDoc` | `belongsToClass`
    `class SimpleGroovyDoc` | `ANNOTATION_DEF, CLASS_DEF, ENUM_DEF, INTERFACE_DEF, RECORD_DEF, TRAIT_DEF`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleGroovyMethodDoc(String name, GroovyClassDoc belongsToClass)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public GroovyClassDoc` | `overriddenClass()`
    `` | `public GroovyMethodDoc` | `overriddenMethod()`
    `` | `public GroovyType` | `overriddenType()`
    `` | `public boolean` | `overrides(GroovyMethodDoc arg0)`
    `` | `public GroovyType` | `returnType()`
    `` | `public void` | `setReturnType(GroovyType returnType)`
    `` | `public void` | `setTypeParameters(String typeParameters)`
    `` | `public String` | `typeParameters()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SimpleGroovyExecutableMemberDoc` | `add, flatSignature, isNative, isSynchronized, isVarArgs, parameters, signature, thrownExceptionTypes, thrownExceptions`
    `class SimpleGroovyMemberDoc` | `commentText, firstSentenceCommentText, isSynthetic`
    `class SimpleGroovyAbstractableElementDoc` | `isAbstract, setAbstract`
    `class SimpleGroovyProgramElementDoc` | `addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic`
    `class SimpleGroovyDoc` | `calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, toString, tokenType`

- - ### Constructor Detail

    - #### public SimpleGroovyMethodDoc(String name, GroovyClassDoc belongsToClass)

  - ### Method Detail

    - #### @Override
      public GroovyClassDoc overriddenClass()

    - #### @Override
      public GroovyMethodDoc overriddenMethod()

    - #### @Override
      public GroovyType overriddenType()

    - #### @Override
      public boolean overrides(GroovyMethodDoc arg0)

    - #### @Override
      public GroovyType returnType()

    - #### @Override
      public void setReturnType(GroovyType returnType)

    - #### public void setTypeParameters(String typeParameters)

    - #### public String typeParameters()